%define	version 0.28
%define name libffm
Name: %{name}
Summary: Optimized math (libm) routines for Alphalinux
Version: %{version}
Release: 1rh51
Source:http://people.frankfurt.netsurf.de/Joachim.Wesner/%{name}-%{version}.tar.gz
Copyright: GNU 
Group: Development/Libraries 
Vendor: Joachim Wesner & Kazushige Goto 
Url: http://people.frankfurt.netsurf.de/Joachim.Wesner/
Packager: Peter Petrakis <peterpan@wn.net>
Provides: libffm.a, libffm_p.a
Requires: binutils  >= 2.9.1.0.15-1  
Buildroot: /tmp/libffm-0.28
ExcludeArch: i386, i486, pentium, sparc

%description 
A free, pretty fast replacement for some math (libm) routines on Linux/AXP,
optimized for the 21164 By Joachim Wesner and Kazushige Goto
<joachim.wesner@frankfurt.netsurf.de> <goto@statabo.rim.or.jp> .
Algorithms by Joachim Wesner, code optimization, instruction rescheduling  and
"vectorization" by Kazushige Goto. Please read the README in
/usr/doc/libffm to learn how to use libffm. 

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n libffm-0.28

%build
CFLAGS="${RPM_OPT_FLAGS}" make

%install
chown -R root.root .
mkdir -p $RPM_BUILD_ROOT/usr/lib/libffm 
mkdir -p $RPM_BUILD_ROOT/usr/lib/libffm/doc

cp  libffm.a     $RPM_BUILD_ROOT/usr/lib
cp  libffm_p.a   $RPM_BUILD_ROOT/usr/lib
cp  COPYING.LIB  $RPM_BUILD_ROOT/usr/lib/libffm/doc
cp  LICENSE      $RPM_BUILD_ROOT/usr/lib/libffm/doc
cp  README       $RPM_BUILD_ROOT/usr/lib/libffm/doc
cp  announc*     $RPM_BUILD_ROOT/usr/lib/libffm/doc

#/sbin/ldconfig -v
chown root.root $RPM_BUILD_ROOT/usr/lib/libffm.a
chown root.root $RPM_BUILD_ROOT/usr/lib/libffm_p.a 
chmod -R a+r $RPM_BUILD_ROOT/usr/lib/libffm* $RPM_BUILD_ROOT/usr/lib/libffm

%post
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%postun
/sbin/ldconfig

%files 
%doc COPYING.LIB LICENSE README announce announce.21 
/usr/lib/libffm.a
/usr/lib/libffm_p.a



